<?php 

class cUsuarioperfil{	

	function insertar($xac,$nom){

		$sql="INSERT INTO tb_usuarioperfil (

		`tb_usuarioperfil_xac`, 

		`tb_usuarioperfil_nom`

		) VALUES ('$xac', '$nom');";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function ultimoInsert(){

		$sql = "SELECT last_insert_id()"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function filtrar(){

		$sql="SELECT * FROM `tb_usuarioperfil`

		WHERE tb_usuarioperfil_xac=1

		ORDER BY tb_usuarioperfil_nom;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function mostrarTodos(){

		$sql="SELECT * FROM `tb_usuarioperfil`

		WHERE tb_usuarioperfil_xac=1

		ORDER BY tb_usuarioperfil_id DESC;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function mostrarUno($id){

		$sql="SELECT * FROM `tb_usuarioperfil`

		WHERE tb_usuarioperfil_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function modificar($id,$nom){

		$sql="UPDATE `tb_usuarioperfil` SET 		

		`tb_usuarioperfil_nom`='$nom'

		 WHERE tb_usuarioperfil_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_usuarioperfil SET

		`tb_usuarioperfil_$campo` =  '$valor' 

		WHERE tb_usuarioperfil_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function eliminar($id){

		$sql="DELETE FROM `tb_usuarioperfil`		

		 WHERE tb_usuarioperfil_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

}

?>